# Generated by Django 3.0.2 on 2020-03-05 06:41

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Printer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(default='', max_length=128)),
            ],
        ),
        migrations.CreateModel(
            name='PrintFilamentSpool',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('notes', models.TextField(default='', null=True)),
            ],
        ),
        migrations.CreateModel(
            name='PrintMaterial',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('print_material', models.CharField(default='', max_length=128)),
            ],
        ),
        migrations.CreateModel(
            name='PrintMaterialColor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('material_color', models.CharField(default='', max_length=128)),
            ],
        ),
        migrations.CreateModel(
            name='PrintSize',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('size', models.CharField(default='', max_length=128)),
            ],
        ),
        migrations.CreateModel(
            name='PrintStatus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.CharField(default='', max_length=128)),
                ('status_code', models.IntegerField(default=0)),
            ],
        ),
        migrations.CreateModel(
            name='PrintUse',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('use', models.CharField(default='', max_length=128)),
            ],
        ),
        migrations.CreateModel(
            name='PrintRequest',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('print_weight', models.IntegerField(null=True)),
                ('file', models.FileField(upload_to='uploads/printcueue/%Y/%m/%d/')),
                ('notes', models.TextField(default='')),
                ('color', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='printcenter.PrintMaterialColor')),
                ('material', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='printcenter.PrintMaterial')),
                ('print_status', models.ForeignKey(default=0, on_delete=django.db.models.deletion.CASCADE, to='printcenter.PrintStatus')),
                ('print_use', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='printcenter.PrintUse')),
                ('printer', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='printcenter.Printer')),
                ('requestor', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('size', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='printcenter.PrintSize')),
                ('spool', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='printcenter.PrintFilamentSpool')),
            ],
        ),
        migrations.AddField(
            model_name='printfilamentspool',
            name='color',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='printcenter.PrintMaterialColor'),
        ),
        migrations.AddField(
            model_name='printfilamentspool',
            name='material',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='printcenter.PrintMaterial'),
        ),
    ]
